package com.srs.dormitory.domain;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;

import java.io.Serializable;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * <p>
 *
 * </p>
 *
 * @author 猪油骨
 * @since 2023-07-25
 */
@Data
@TableName("dms_dormitory_class")
@ApiModel(value = "DmsDormitoryClass对象", description = "")
@Builder
@AllArgsConstructor
@NoArgsConstructor
public class DmsDormitoryClass implements Serializable {

    private static final long serialVersionUID = 1L;

    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    @ApiModelProperty("班级代码")
    @TableField("BJDM")
    private String BJDM;

    @ApiModelProperty("辅导员工号")
    @TableField("t_no")
    private String tNo;

    @ApiModelProperty("宿舍id")
    @TableField("dormitory_id")
    private Long dormitoryId;

    @ApiModelProperty("性别")
    @TableField("gender")
    private String gender;

    @ApiModelProperty("是否为开放供给学生选择")
    @TableField("is_mixed")
    private Integer isMixed;

    @ApiModelProperty("班级分配的床位数")
    @TableField("bed_count")
    public int bedCount;

    @ApiModelProperty("是否锁定")
    @TableField("is_lock")
    public String isLock;


}




