package com.srs.dormitory.domain.Dto;

import com.baomidou.mybatisplus.annotation.TableField;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;

@Data
public class StudentDormitoryDto {
    @ApiModelProperty("主键ID")
    private Long id;

    @ApiModelProperty("宿舍ID")
    private Long dormitoryId;

    @ApiModelProperty("床位ID")
    private Long bedId;

    @ApiModelProperty("学生学号")
    private String stuNo;

    @JsonFormat(pattern = "yyyy-MM-dd")
    public Date checkinTime;

    @ApiModelProperty("是否为宿舍长(0否 1是)")
    private Integer isDormitoryHead;

    @ApiModelProperty("是否在校住宿")
    public String isInStudentsleep;
}

