package com.srs.dormitory.domain.Vo;

import lombok.Data;

@Data
public class EmptyDormitoryVo {
    /**
     * 宿舍楼ID，用于标识宿舍楼的唯一标识符
     */
    private Long buildingId;

    /**
     * 宿舍楼名称
     */
    private String name;

    /**
     * 性别信息，表示宿舍楼的性别分配
     */
    private String gender;

    /**
     * 剩余床位数，表示宿舍楼中还可入住的床位数量
     */
    private Integer remainingBeds;

    /**
     * 空宿舍数量，表示宿舍楼中入住人数为0的宿舍的数量
     */
    private Integer emptyDormitory;
}

