package com.srs.dormitory.domain.Vo;

import com.fasterxml.jackson.annotation.JsonIgnore;
import lombok.Data;

import java.util.List;
import java.util.Map;

@Data
public class SelectDormByStuVo {
    private Long id;
    /**
     * 房间号
     */
    private Long roomNo;

    private String building;
    private String park;

    /**
     * 单元名，如果没有单元请忽略
     */
    private String unit;
    /**
     * 宿舍床位数
     */
    private Integer bedNum;
    /**
     * 入住人数
     */
    private Integer occupancy;
    /**
     * 照片列表
     */
    private List<String> photos;

    private List<Map<String, Object>> beds;


}
