package com.srs.dormitory.mapper;

import com.srs.dormitory.domain.DmsDormitoryBuildingInfo;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

/**
 * <p>
 * 宿舍楼信息表 Mapper 接口
 * </p>
 *
 * @author 猪油骨
 * @since 2023-07-14
 */
@Mapper
public interface DmsDormitoryBuildingInfoMapper extends BaseMapper<DmsDormitoryBuildingInfo> {
    int updateBedCountByDormitoryId(@Param("bedCount") Long bedCount,@Param("dormitoryId") Long dormitoryId);
}
