package com.srs.dormitory.mapper;

import com.baomidou.mybatisplus.core.conditions.Wrapper;
import com.baomidou.mybatisplus.core.toolkit.Constants;
import com.srs.dormitory.domain.DmsMajorDormitory;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.srs.dormitory.domain.Vo.UnassignedVo;
import org.apache.ibatis.annotations.Param;

import java.util.List;
import java.util.Map;

/**
 * <p>
 * 专业宿舍中间关联表 Mapper 接口
 * </p>
 *
 * @author 猪油骨
 * @since 2023-08-01
 */
public interface DmsMajorDormitoryMapper extends BaseMapper<DmsMajorDormitory> {

    List<UnassignedVo> selectUnassigned(@Param("deptId") Long deptId,@Param("gender") String gender,@Param("gradeId") Long gradeId);
    List<Map<String,Object>> selectDormitory(@Param(Constants.WRAPPER) Wrapper<Map<String,Object>> wrapper);
}
