package com.srs.dormitory.mapper;

import com.srs.dormitory.domain.DmsPhotos;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.srs.dormitory.domain.Vo.PhotoVO;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * <p>
 * 照片链接表 Mapper 接口
 * </p>
 *
 * @author 猪油骨
 * @since 2023-08-04
 */
public interface DmsPhotosMapper extends BaseMapper<DmsPhotos> {

    List<PhotoVO> selectByDormId(@Param("dormId") Long dormId);
}
