//package com.srs.web.controller.dormitory;
//
//import com.srs.common.core.controller.BaseController;
//import com.srs.common.core.domain.AjaxResult;
//import com.srs.common.core.page.TableDataInfo;
//import com.srs.dormitory.domain.Dto.AddMajorDto;
//import com.srs.dormitory.domain.Dto.EmptyDormitoryDto;
//import com.srs.dormitory.service.IDmsMajorDormitoryService;
//import io.swagger.annotations.Api;
//import io.swagger.annotations.ApiOperation;
//import lombok.AllArgsConstructor;
//import org.apache.ibatis.annotations.Param;
//import org.springframework.web.bind.annotation.*;
//
//import java.util.Map;
//
///**
// * <p>
// * 专业宿舍中间关联表 前端控制器
// * </p>
// *
// * @author 猪油骨
// * @since 2023-08-01
// */
//@RestController
//@RequestMapping("/dormitory/dms-major-dormitory")
//@Api(tags = "专业宿舍关联")
//@AllArgsConstructor
//public class DmsMajorDormitoryController extends BaseController {
//    private final IDmsMajorDormitoryService dmsMajorDormitoryService;
//
//    @PostMapping("/addMajor")
//    @ApiOperation("专业绑定宿舍")
//    public AjaxResult addMajor(@RequestBody AddMajorDto addMajorDto) {
//        return dmsMajorDormitoryService.addMajor(addMajorDto);
//    }
//
//    @GetMapping("/unassigned")
//    @ApiOperation("查看学院对应专业人数")
//    public TableDataInfo unassigned(@Param("deptId") Long deptId, @Param("buildingId") Long buildingId,@Param("gradeId") Long gradeId) {
//        return getDataTable(dmsMajorDormitoryService.unassigned(deptId, buildingId,gradeId));
//    }
//
//    @GetMapping("/unit")
//    @ApiOperation("查看该宿舍楼单元")
//    public TableDataInfo getUnit(Long buildingId) {
//        startPage();
//        return getDataTable(dmsMajorDormitoryService.getUnit(buildingId));
//    }
//
//    @GetMapping("/floor")
//    @ApiOperation("查看该宿舍楼楼层")
//    public TableDataInfo getFloor(Long buildingId) {
//        startPage();
//        return getDataTable(dmsMajorDormitoryService.getFloor(buildingId));
//    }
//
//    @GetMapping("/dormitory")
//    @ApiOperation("根据id查询空余宿舍")
//    public TableDataInfo getDormitory(EmptyDormitoryDto emptyDormitoryDto){
//        return getDataTable(dmsMajorDormitoryService.getDormitory(emptyDormitoryDto));
//    }
//}
