package com.srs.web.controller.flowable;

import com.srs.common.core.domain.AjaxResult;
import com.srs.flowable.domain.frontdto.RespBean;
import com.srs.flowable.domain.frontdto.TestFlow;
import com.srs.flowable.service.IAskForLeaveService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.security.access.prepost.PreAuthorize;
import org.springframework.stereotype.Controller;
import org.springframework.web.bind.annotation.*;

@RestController
@RequestMapping("/flowable/test")
public class FlowTestController {

    @Autowired
    IAskForLeaveService askForLeaveService;

    @PostMapping("/test1")
    public AjaxResult askForLeave(@RequestBody TestFlow askForLeaveVO) {
        return AjaxResult.success(askForLeaveService.askForLeave(askForLeaveVO)) ;
    }
}
