package com.srs.comprehensive.domain;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.srs.common.annotation.Excel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;
import java.util.Date;
@Data
public class CphProRank {

    private Long id;
    @Excel(name = "学号")
    private String stuNo;

    @TableField(exist = false)
    @Excel(name = "姓名")
    public String xsxm;
    private Long classId;
    private String classCode;
    @Excel(name = "班级")
    public String className;
    private Long stuYearId;
    @Excel(name = "学年")
    public  String stuYearName;
    @Excel(name = "所修课程学分")
    private BigDecimal courseCredit;
    @Excel(name = "所得学分")
    private BigDecimal totalCredit;
    @Excel(name = "总成绩")
    private BigDecimal totalScore;
    @Excel(name = "课程门数")
    private Long courseNum;
    @Excel(name = "平均分")
    private BigDecimal avgScore;
    @Excel(name = "平均学分绩")
    private BigDecimal avgCredit;
    @Excel(name = "排名")
    private Long ranking;
    @Excel(name = "不及格课程数门数")
    private Long nopass;
}
