package com.srs.comprehensive.domain;
import com.srs.common.annotation.Excel;

import java.util.Date;
import lombok.Data;

@Data
public class JianDingtable {
    /**
     * 学生学号
     */
    @Excel(name = "学号")
    private String studentCode;

    /**
     * 学生姓名
     */
    @Excel(name = "姓名")
    private String studentName;

    /**
     * 学生所属学院
     */
    @Excel(name = "学院")
    private String studentCollege;

    /**
     * 学生所属年级
     */
    @Excel(name = "年级")
    private String studentGrade;

    /**
     * 学生所属班级
     */
    @Excel(name = "班级")
    private String studentClass;

    /**
     * 性别（女，男）
     */
    @Excel(name = "性别")
    private String sex;

    /**
     * 民族
     */
    @Excel(name = "民族")
    private String nation;

    /**
     * 出生日期
     */
    @Excel(name = "出生年月")
    private Date birthData;

    /**
     * 政治思想
     */
    @Excel(name = "思想表现-政治思想")
    private String politics;

    /**
     * 道德品质
     */
    @Excel(name = "思想表现-道德品质")
    private String moralCharacter;

    /**
     * 遵纪守法
     */
    @Excel(name = "思想表现-遵纪守法")
    private String observeDiscipline;

    /**
     * 学习态度
     */
    @Excel(name = "学习表现-学习态度")
    private String attitude;

    /**
     * 考勤情况
     */
    @Excel(name = "学习表现-考勤情况")
    private String attendanceSituation;

    /**
     * 担任职务
     */
    @Excel(name = "工作表现-担任职位")
    private String positionHeld;

    /**
     * 工作态度
     */
    @Excel(name = "工作表现-工作态度")
    private String workingAttitude;

    /**
     * 工作能力
     */
    @Excel(name = "工作表现-工作能力")
    private String workingAbility;

    /**
     * 思想政治素质
     */
    @Excel(name = "个人素质综合成绩-思想政治素质")
    private String ldeologicalPolitical;

    /**
     * 科学文化素质
     */
    @Excel(name = "个人素质综合成绩-科学文化素质")
    private String scientificQuality;

    /**
     * 体能素质
     */
    @Excel(name = "个人素质综合成绩-体能素质")
    private String physicalQuality;

    /**
     * 总分
     */
    @Excel(name = "个人素质综合成绩-总分")
    private Double totalPoints;

}
