package com.srs.comprehensive.domain;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.srs.common.annotation.Excel;
import com.srs.common.annotation.Excels;
import com.srs.common.annotation.NotNull;
import com.srs.common.core.domain.entity.SysDept;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import java.util.Date;
@Data
public class SrsStudentInfoCheck { @TableField(exist = false)
    public String tNo;
    @NotNull("银行卡")
    public String xhk;




    /** 生日 */
    @NotNull("生日")
    private Date birthday;
    /** 身份证号码 */
    @NotNull("身份证号码")
    private String idCard;

    /** 手机号码 */
    @NotNull("手机号码")
    private String phone;
    /**
     * 民族
     */
    @NotNull("民族")
    private String mz;

    /**
     * 政治面貌
     */
    @NotNull("政治面貌")
    private String zzmm;
    /**
     * 户口所在省
     */
    @NotNull("户口所在省")
    private String hksz1;

    /**
     * 户口所在市/区
     */
    @NotNull("户口所在市/区")
    private String hksz2;

    /**
     * 户口所在区/县
     */
    @NotNull("户口所在区/县")
    private String hksz3;

    /**
     * 户口所在地
     */
    @NotNull("户口所在区/县")
    private String hkszd;

    /**
     * 户口性质
     */
    @NotNull("户口性质")
    private String hkxz;

    /**
     * 户口所在地区县以下详细地址
     */

    private String hkxxdz;

    /**
     * 学生居住地址
     */

    private String xsjzdz;

    /**
     * 所属派出所
     */

    private String sspcs;

    /**
     * 所属街道
     */

    private String ssjd;

    /**
     * 乘火车区间
     */

    private String chcqj;

    /**
     * 详细联系地址
     */

    private String xxlxdz;

    /**
     * 邮政编码
     */

    private String yzbm;

    /**
     * 现家庭地址
     */

    private String xjtdz;

    /**
     * 家庭邮政编码
     */

    private String jtyzbm;

    /**
     * 家庭电话
     */

    private String jtdh;

    /**
     * 照片
     */


    private String dailyPhoto;

    /**
     * 白底照片
     */
    @NotNull("白底照片")
    private String whitePhoto;

    /**
     * 红底照片
     */
    private String redPhoto;
    /**
     * 蓝底照片
     */
    private String bluePhoto;

}
