package com.srs.comprehensive.domain.Vo;


import com.fasterxml.jackson.annotation.JsonFormat;
import com.srs.common.annotation.Excel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.util.Date;

@Data
@NoArgsConstructor
@AllArgsConstructor
@Builder
public class ApplyYxgbVo {

    @ApiModelProperty("评优申请表id")
    private Long id;

    @ApiModelProperty("学号")
    @Excel(name = "学号")
    private String stuNo;

    @ApiModelProperty("奖项类型代码")
    @Excel(name = "奖项类型代码")
    private String typeCode;

    @ApiModelProperty("个人评优类别名称")
    @Excel(name = "个人评优类别名称")
    private String typeName;

    @ApiModelProperty("学年名称")
    @Excel(name = "学年名称")
    private String stuYearName;

    @ApiModelProperty("申请时间")
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "申请时间" , width = 30, dateFormat = "yyyy-MM-dd")
    private Date applyTime;

    @ApiModelProperty("状态")
    @Excel(name = "状态")
    private String status;
    private String zzmm;
    private String classtwoSure;
    private String youthPercent;
    private String classPost;
    private String goodHis;
    private String mainHis;
    private String fdyComment;
    private String deptComment;
    private String finalComment;










}
