package com.srs.comprehensive.mapper;

import com.srs.comprehensive.domain.SchoolClasses;
import org.apache.ibatis.annotations.Param;
import org.apache.ibatis.annotations.Mapper;

import java.util.List;

/**
 * (SchoolClasses)表数据库访问层
 *
 * @author Chao
 * @since 2023-07-13 17:00:48
 */
@Mapper
public interface SchoolClassesMapper {

    /**
     * 查询所有数据
     *
     * @return 实例对象集合
     */
    List<SchoolClasses> queryAll();

    /**
     * 修改数据
     *
     * @param schoolClasses 实例对象
     * @return 影响行数
     */
    int update(SchoolClasses schoolClasses);



}


