package com.srs.comprehensive.mapper;

import com.srs.common.annotation.DataSource;
import com.srs.common.enums.DataSourceType;
import com.srs.comprehensive.domain.SumSportTest;
import org.apache.ibatis.annotations.Mapper;
import org.springframework.beans.factory.annotation.Qualifier;

import java.util.List;

@Mapper
public interface SumSportTestMapper {
    /**
     * 查询所有
     * @return 结果
     */
    @DataSource(DataSourceType.SLAVE)
    List<SumSportTest> selectSumSportTestAll();

    @DataSource(DataSourceType.SLAVE)
    int insertSumSportTest(SumSportTest sumSportTest);

    @DataSource(DataSourceType.SLAVE)
    int updateSum(SumSportTest sumSportTest);
}
