package com.srs.comprehensive.service.impl;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.srs.common.annotation.DataSource;
import com.srs.common.enums.DataSourceType;
import com.srs.comprehensive.domain.VBZRClass;
import com.srs.comprehensive.mapper.VBZRClassMapper;
import com.srs.comprehensive.service.IVBZRClassService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

@Service
public class VBZRClassServiceImpl implements IVBZRClassService {

    @Autowired
    private VBZRClassMapper vbzrClassMapper;

    @Override
    @DataSource(DataSourceType.DATABASE)
    public List<VBZRClass> selectVbzrClass() {
        return vbzrClassMapper.selectList(null);
    }
}
