package com.srs.framework.autoconfig.properties;

import lombok.Data;
import org.springframework.boot.context.properties.ConfigurationProperties;

@Data
@ConfigurationProperties(prefix = "srsjava.sms")
public class SmsProperties {
    private String signName;
    private String templateCode;
    private String noticeSignName;
    private String noticeTemplateCode;
    private String accessKey;
    private String secret;
}
