package com.srs.routine.domain.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.io.Serializable;

@Data
@NoArgsConstructor
@AllArgsConstructor
@Builder
@ApiModel("功能房使用情况")
public class RtFuConditionVo implements Serializable {
    private static final long serialVersionUID = 1L;

    @ApiModelProperty("id")
    private Long id;

    @ApiModelProperty("功能房代码")
    private String roNo;

    @ApiModelProperty("功能房名")
    private String roomName;

    @ApiModelProperty("日期")
    private String week;

    @ApiModelProperty("预约时间")
    private String rtTime;

    @ApiModelProperty("使用人")
    private String rtCreatRole;;
}
