package com.srs.routine.domain.vo;

import com.baomidou.mybatisplus.annotation.TableField;
import com.srs.common.annotation.Excel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.io.Serializable;

@Data
@NoArgsConstructor
@AllArgsConstructor
@Builder
public class RtFuResourceVo implements Serializable {
    private static final long serialVersionUID=1L;


    @ApiModelProperty("resId")
    private Long resId;

    /**
     * 编码
     */
    @ApiModelProperty("编码")
    private String resNo;

    /**
     * 资源类型
     */
    @ApiModelProperty("资源类型")
    private String resType;

    /**
     * 主内容编码
     */
    @ApiModelProperty("主内容编码")
    private String resMainNo;

    /**
     * 文件名称
     */
    @ApiModelProperty("文件名称")
    private String resName;

    /**
     * 路径
     */
    @ApiModelProperty("路径")
    private String resPath;

//    /**
//     * 状态：0：保存，1：停用，3：结束（感觉用不到）
//     */
//    @ApiModelProperty("状态：0：保存，1：停用，3：结束（感觉用不到）")
//    private String status;
//
//    /**
//     * 删除标志（0代表存在，1代表删除）
//     */
//    @ApiModelProperty("删除标志（0代表存在，1代表删除）")
//    private String delFlag;


}
