package com.srs.routine.domain.vo;

import com.baomidou.mybatisplus.annotation.TableField;
import com.srs.common.annotation.Excel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.io.Serializable;

@Data
@NoArgsConstructor
@AllArgsConstructor
@Builder
public class RtfuRuleVo implements Serializable {
    private static final long serialVersionUID=1L;

    @ApiModelProperty("id")
    private Long id;

    @ApiModelProperty("功能房规则类型")
    private String roType;


    @ApiModelProperty("星期")
    private String roWeekday;

    @ApiModelProperty("规则名字")
    private String soNo;

    @ApiModelProperty("自己的编码")
    private String soRule;

    @ApiModelProperty("开始的时间段")
    private String roStartTime;

    @ApiModelProperty("结束的时间段")
    private String roEndTime;
}
