package com.srs.routine.domain.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.List;

@Data
@ApiModel("请假详情")
public class StuLeaveApplicationDetailsVo implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty("请假单id")
    private Long leaveApplicationId;

    @ApiModelProperty("学生id")
    private Long stuId;

    @ApiModelProperty("学号")
    private String stuNo;

    @ApiModelProperty("姓名")
    private String studentName;

    @ApiModelProperty("性别")
    private String gender;

    @ApiModelProperty("院系")
    private String departmentName;

    @ApiModelProperty("班级")
    private String className;

    @ApiModelProperty("联系电话")
    private String phoneNumber;

    @ApiModelProperty("父亲姓名")
    private String fatherName;

    @ApiModelProperty("父亲联系电话")
    private String fatherRelation;

    @ApiModelProperty("请假事由")
    private String reason;

    @ApiModelProperty("请假类型")
    private String leaveType;

    @ApiModelProperty("请假起始时间")
    private String startDate;

    @ApiModelProperty("请假截止时间")
    private String endDate;

    @ApiModelProperty("请假天数")
    private String leaveDays;

    @ApiModelProperty("目的地")
    private String destination;

    @ApiModelProperty("目的地详细")
    private String destinationDetails;

    @ApiModelProperty("是否勾选安全承诺书")
    private String safetyPromise;

    @ApiModelProperty("请假人签字")
    private String applicantSignature;

    @ApiModelProperty("材料附件")
    private String attachment;

    @ApiModelProperty("申请状态")
    private String status;

    @ApiModelProperty("是否离桂")
    private String leavingGx;

    @ApiModelProperty("是否销假")
    private String cancellation;

    @ApiModelProperty("销假定位地址")
    private String cancellationAddress;

    @ApiModelProperty("申请时间")
    private String createTime;

    @ApiModelProperty("流程id")
    private String processInstanceId;

}
