package com.srs.dormitory.domain;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import java.io.Serializable;
import lombok.Data;

/**
 * 
 * @TableName dms_dormitory_teacher
 */
@TableName(value ="dms_dormitory_teacher")
@Data
public class DmsDormitoryTeacher implements Serializable {
    /**
     * 
     */
    @TableId(type = IdType.AUTO)
    private Integer id;

    /**
     * 工号
     */
    private Integer employeeId;

    /**
     * 宿舍id
     */
    private Integer dormitoryId;

    @TableField(exist = false)
    private static final long serialVersionUID = 1L;
}