package com.srs.dormitory.domain;

import com.srs.common.annotation.Excel;
import lombok.Data;

/**
 * 宿舍信息导入模板
 */
@Data
public class DormitoryImportModel {
    @Excel(name = "学号")
    private String stuNo;
    @Excel(name = "宿舍号1")
    private String roomNo1;
    @Excel(name = "班级")
    private String className;
    @Excel(name = "宿舍长")
    private String isManager;
    @Excel(name = "实住人数")
    private Integer realNum1;
    @Excel(name = "标准人数")
    private Integer standardNum1;
    @Excel(name = "住宿时间1")
    private String time1;
    @Excel(name = "宿舍号2")
    private String roomNo2;
    @Excel(name = "标准数")
    private Integer standardNum2;
    @Excel(name = "宿舍实住人数")
    private Integer realNum2;
    @Excel(name = "住宿时间2")
    private String time2;
}
