package com.srs.dormitory.mapper;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.toolkit.Constants;
import com.srs.comprehensive.domain.SrsStudent;
import com.srs.dormitory.domain.DmsRepairRecords;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.srs.dormitory.domain.Vo.RepairListVo;
import org.apache.ibatis.annotations.Param;

import java.util.List;
import java.util.Map;

/**
 * <p>
 * 维修记录表 Mapper 接口
 * </p>
 *
 * @author 猪油骨
 * @since 2023-08-07
 */
public interface DmsRepairRecordsMapper extends BaseMapper<DmsRepairRecords> {
    Map<String, Object> selectDormName(Long dormId);

    SrsStudent selectSrsStudentByStuNo(String stuNo);

    List<RepairListVo> selectRepairList(@Param(Constants.WRAPPER) QueryWrapper<RepairListVo> wrapper);
}
