package com.srs.dormitory.service.impl;

import com.srs.dormitory.domain.DmsChangeLog;
import com.srs.dormitory.mapper.DmsChangeLogMapper;
import com.srs.dormitory.service.IDmsChangeLogService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.stereotype.Service;

import java.util.List;
import java.util.Map;

/**
 * <p>
 * 学生宿舍信息变化记录表 服务实现类
 * </p>
 *
 * @author szz
 * @since 2023年07月28日
 */
@Service
public class IDmsChangeLogServiceImpl extends ServiceImpl<DmsChangeLogMapper, DmsChangeLog> implements IDmsChangeLogService {

    /**
     * 查看学生宿舍信息变化记录列表
     * @param params 请求参数
     * @return
     */
    @Override
    public List<Map<String, Object>> getLogList(Map<String, String> params) {
        return baseMapper.getLogList(params);
    }
}
