package com.srs.comprehensive.domain;

import com.srs.common.annotation.Excel;
import com.srs.common.core.domain.BaseEntity;
import lombok.Data;
import lombok.Getter;

import java.util.Date;

/**
 * 困难认定对象 srs_knrd_apply
 * 
 * @author srs
 * @date 2024-03-19
 */
@Data
public class SrsParentsDetal extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 主键 */
    @Getter
    private Long pId;

    /** 1：提交，2：班级 */
    @Excel(name = "父亲姓名")
    private String fatherName;

    /** 申请人姓名 */
    @Excel(name = "父亲职业")
    private String fatherProfession;

    /** 性别 */
    @Excel(name = "父亲联系电话")
    private String fatherRelation;

    /** 民族 */
    @Excel(name = "父亲年龄")
    private String fatehrAge;

    /** 身份证号码 */
    @Excel(name = "母亲姓名")
    private String motherName;

    /** 学号 */
    @Excel(name = "母亲职业")
    private String motherProfession;

    /** 出生年月 */
    @Excel(name = "母亲联系电话")
    private String motherRelation;

    /** 困难类型1 */
    @Excel(name = "母亲年龄")
    private String motherAge;

    /** 困难类型2 */
    @Excel(name = "状态（0正常 1停用）")
    private String status;

    /** 人口总数 */
    @Excel(name = "创建者")
    private String createBy;

//    /** 人口总数 */
//    @Excel(name = "创建时间")
//    private String createTime;
    /** 人口总数 */
    @Excel(name = "更新者")
    private String updatebBy;
    /** 人口总数 */
//    @Excel(name = "更新时间")
//    private String updateTime;
    /** 收入来源 */
    @Excel(name = "学生id")
    private String studentId;
    @Excel(name = "银行卡")
    private String xhk;

}
