package com.srs.comprehensive.domain;

import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;

import java.util.Date;

@Data
public class SrsRemarkData {
    /**
     * 辅导员评语
     */
    private String counselorComments;

    /**
     * 辅导员姓名
     */
    private String counselorName;

    /**
     * 填写日期
     */
    @JsonFormat(pattern = "yyyy-MM-dd")
    private Date fillData;

    /**
     * 学院意见
     */
    private String collegeOpinion;

    /**
     * 学年
     */
    private Long stuYear;

    /**
     * 学年标记
     */
    private Integer biaoJit;
}
