package com.srs.comprehensive.domain;

import com.srs.common.annotation.Excel;
import com.baomidou.mybatisplus.annotation.*;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.*;
import com.srs.common.core.domain.BaseEntity;



/**
 * 【请填写功能名称】对象 srs_zxj_approval_record
 *
 * @author srs
 * @date 2024-03-17
 */
@Data
@EqualsAndHashCode(callSuper = true)
@NoArgsConstructor
@AllArgsConstructor
@Builder
@ApiModel(value = "SrsZxjApprovalRecord对象" , description = "")
@TableName("srs_zxj_approval_record")
public class SrsZxjApprovalRecord extends BaseEntity{
private static final long serialVersionUID=1L;

    /**
     * 主键
     */
    @ApiModelProperty("主键")
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    /**
     * 步骤
     */
    @ApiModelProperty("步骤")
    @TableField("step")

    private Long step;


    @ApiModelProperty("步骤名称")
    @TableField(exist = false)
    @Excel(name = "步骤名称")
    private String stepName;
    /**
     * 操作人
     */
    @ApiModelProperty("操作人")
    @TableField("operator")
    @Excel(name = "操作人")
    private String operator;


    /**
     * 状态
     */
    @ApiModelProperty("状态")
    @TableField("status")
    @Excel(name = "状态")
    private String status;

    /**
     * 申请id
     */
    @ApiModelProperty("申请id")
    @TableField("apply_id")
    @Excel(name = "申请id")
    private Long applyId;

    /**
     * 申请id
     */
    @ApiModelProperty("申请人")
    @TableField(exist = false)
    @Excel(name = "申请人")
    private String applyName;

    /**
     * 学院
     */
    @ApiModelProperty("学院")
    @TableField(exist = false)
    @Excel(name = "学院")
    private String deptName;
    /**
     * 专业
     */
    @ApiModelProperty("专业")
    @TableField(exist = false)
    @Excel(name = "专业")
    private String majorName;

    /**
     * 班级
     */
    @ApiModelProperty("班级")
    @TableField(exist = false)
    @Excel(name = "班级")
    private String className;

    private Long[] applyIds;

    private Long targetStep;
}
