package com.srs.comprehensive.domain.Vo;

import com.baomidou.mybatisplus.annotation.TableField;
import com.srs.common.annotation.Excel;
import lombok.Data;

@Data
public class CphSearch {


    public String deptName;

    /** 学院id*/
    private Long deptId;
    /** 专业id*/
    private Long majorId;
    /** 班级id*/
    private Long classId;
    /** 年级id*/
    private Long gradeId;
    /** 学年id*/
    private Long stuYearId;
    /** 学生姓名*/
    private String stuName;
    /** 学号*/
    private String stuNo;
    /** 学生id*/
    private String stuId;
    /** 状态 **/
    private String status;
    /** 工号 **/
    private String tNo;
    /** code **/
    private String code;
    /** typeName **/
    private  String typeName;
    /* 助学金审核记录操作人*/
    private String operator;
    
    public String step;

    public String sfzhm;

    public String xm;
    public String xh;
    /** 贫困生认定意见*/
    public String yj;
    public String classCode;

    /** 学生姓名 */
    @Excel(name = "学生姓名")
    @TableField("XSXM")
    private String XSXM;

    /** 考生号 */
    @Excel(name = "考生号")
    @TableField("KSH")
    private String KSH;

    /** 身份证号 */
    @Excel(name = "身份证号")
    @TableField("SFZH")
    private String SFZH;

    /** 手机号 */
    @Excel(name = "手机号")
    @TableField("SJH")
    private String SJH;

    /** 性别 */
    @Excel(name = "性别")
    @TableField("XB")
    private String XB;

    /** 政治面貌 */
    @Excel(name = "政治面貌")
    @TableField("ZZMM")
    private String ZZMM;

    /** 民族 */
    @Excel(name = "民族")
    @TableField("MZ")
    private String MZ;

    /** 校编学号 */
    @Excel(name = "校编学号")
    @TableField("XH")
    private String XH;

    /** 学院 */
    @Excel(name = "学院")
    @TableField("XY")
    private String XY;

    /** 学院代码 */
    @Excel(name = "学院代码")
    @TableField("XYDM")
    private String XYDM;

    /** 专业 */
    @Excel(name = "专业")
    @TableField("ZY")
    private String ZY;

    /** 专业代码 */
    @Excel(name = "专业代码")
    @TableField("ZYDM")
    private String ZYDM;

    /** 班级 */
    @Excel(name = "班级")
    @TableField("BJ")
    private String BJ;

    /** 班级代码 */
    @Excel(name = "班级代码")
    @TableField("BJDM")
    private String BJDM;

    /** 毕业学校 */
    @Excel(name = "毕业学校")
    @TableField("last_school")
    private String lastSchool;

    /** 毕业学校所在地 */
    @Excel(name = "毕业学校所在地")
    @TableField("last_school_addr")
    private String lastSchoolAddr;

    /** 家庭联系人姓名 */
    @Excel(name = "家庭联系人姓名")
    @TableField("fam_name")
    private String famName;

    /** 与本人关系 */
    @Excel(name = "与本人关系")
    @TableField("fam_relation")
    private String famRelation;

    /** 家庭联系人电话 */
    @Excel(name = "家庭联系人电话")
    @TableField("fam_phone")
    private String famPhone;

    /** 家庭现居地址 */
    @Excel(name = "家庭现居地址")
    @TableField("fam_now_addr")
    private String famNowAddr;

    private String sfzAddr;

    private String regStatus;
    private String delFlag;
    @TableField("LQZY")
    private String LQZY;
    @TableField("KLDM")
    private String KLDM;
    @TableField("PCDM")
    private String PCDM;
    @TableField("TDDW")
    private String TDDW;
    private String XZNX;
    @TableField("KLMC")
    private String KLMC;
    @TableField("TDDWMC")
    private String TDDWMC;
    @TableField("TDCJ")
    private Double TDCJ;

    @TableField("is_change_pwd")
    public String isChangePwd;


    /*原部门id*/
    public Long oldDeptId;
    /*用户名称*/
    public String userName;

    public String applyYear;
    public Long collegeId;

    public String qm;
    public String gh;
}
