package com.srs.comprehensive.domain.Vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;

@Data
@ApiModel("统计各学院请假人数视图")
public class DeptLeaveDataVo implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty("学院id")
    private Integer deptId;

    @ApiModelProperty("学院名")
    private String deptName;

    @ApiModelProperty("年级")
    private String gradeName;

    @ApiModelProperty("人数")
    private Integer leaveCount;
}
