package com.srs.comprehensive.domain.Vo;

import lombok.Data;

import java.util.Date;

@Data
/**
 * 毕业生信息(子)
 * 邵政文
 * 2025-07-01
 */
public class GraduateVo {

    /**
     * 政治思想
     */
    private String politics;

    /**
     * 道德品质
     */
    private String moralCharacter;

    /**
     * 遵纪守法
     */
    private String observeDiscipline;

    /**
     * 学习态度
     */
    private String attitude;

    /**
     * 考勤情况
     */
    private String attendanceSituation;

    /**
     * 担任职务
     */
    private String positionHeld;

    /**
     * 工作态度
     */
    private String workingAttitude;

    /**
     * 工作能力
     */
    private String workingAbility;

    /**
     * 思想政治素质
     */
    private String ldeologicalPolitical;

    /**
     * 科学文化素质
     */
    private String scientificQuality;

    /**
     * 体能素质
     */
    private String physicalQuality;

    /**
     * 总分
     */
    private Double totalPoints;

    /**
     * 辅导员评语
     */
    private String counselorComments;

    /**
     * 辅导员姓名
     */
    private String counselorName;

    /**
     * 填写日期
     */
    private Date fillData;

    /**
     * 学院意见
     */
    private String collegeOpinion;

    /**
     * 学年
     */
    private Integer stuYear;

    /**
     * 学年标记
     */
    private Integer biaoJit;

}
