package com.srs.comprehensive.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.srs.comprehensive.domain.CphStuScoreMiddle;
import com.srs.comprehensive.domain.Dto.CphStuScoreMiddleDto;
import com.srs.framework.mybatisplusMapper.EasyBaseMapper;
import org.apache.ibatis.annotations.MapKey;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;
import java.util.Map;

@Mapper
public interface CphStuScoreMiddlesMapper extends EasyBaseMapper<CphStuScoreMiddle> {

    @MapKey("id")
    public List<Map<String, Object>> CphStuScoreMiddlePages(@Param("startPage") int startPage,
                                            @Param("pageSize") int pageSize,
                                            @Param("stuNo") String stuNo);

    int CphStuScoreMiddleCount(@Param("stuNo") String stuNo);

}
