package com.srs.comprehensive.mapper;

import com.srs.comprehensive.domain.Gxsdxy01Zzjg;
import org.apache.ibatis.annotations.Param;
import org.apache.ibatis.annotations.Mapper;

import java.util.List;

/**
 * (Gxsdxy01Zzjg)表数据库访问层
 *
 * @author Chao
 * @since 2023-07-26 17:01:08
 */
@Mapper
public interface Gxsdxy01ZzjgMapper {

    /**
     * 查询所有数据
     *
     * @return 实例对象集合
     */
    List<Gxsdxy01Zzjg> queryAll(Gxsdxy01Zzjg gxsdxy01Zzjg);


    /**
     * 通过名称查询
     * @param Name
     * @return
     */
    Gxsdxy01Zzjg selectDeptByName(String Name);




    /**
     * 修改数据
     *
     * @param gxsdxy01Zzjg 实例对象
     * @return 影响行数
     */
    int update(Gxsdxy01Zzjg gxsdxy01Zzjg);



}


