package com.srs.diagnostic.domain.vo;

import com.baomidou.mybatisplus.annotation.TableField;
import com.srs.common.annotation.Excel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

@Data
public class DiaReportReleaseFillInVo {
    @ApiModelProperty("报表发布id")
    @TableField("relId")
    private Long relId;

    /**
     * 模板Id
     */
    @ApiModelProperty("模板Id")
    @TableField("reportId")
    private Long reportId;

    /**
     * 模块名称
     */
    @ApiModelProperty("模块名称")
    @TableField("moduleName")
    @Excel(name = "模块名称")
    private String moduleName;

    /**
     * 报表名称
     */
    @ApiModelProperty("报表名称")
    @TableField("reportName")
    @Excel(name = "报表名称")
    private String reportName;

    /**
     * 状态
     */
    @ApiModelProperty("状态")
    @TableField("status")
    @Excel(name = "状态")
    private String status;

    /**
     * 学期
     */
    @ApiModelProperty("学期")
    @TableField("term_id")
    @Excel(name = "学期")
    private int term_id;

    /**
     * 学期
     */
    @ApiModelProperty("学期")
    @TableField("stuYearName")
    @Excel(name = "学年")
    private String stuYearName;

    @ApiModelProperty("填写状态")
    @TableField(exist = false)
    private String fillingStatus;
}
