package com.srs.diagnostic.service;

import java.util.List;

import com.baomidou.mybatisplus.extension.service.IService;
import com.srs.diagnostic.domain.DiaReportSubmissions;

/**
 * 学生报提交记录Service接口
 *
 * @author srs
 * @date 2025-04-22
 */
public interface IDiaReportSubmissionsService extends IService<DiaReportSubmissions> {


    /**
     * 查询学生报提交记录列表
     *
     * @param diaReportSubmissions 学生报提交记录
     * @return 学生报提交记录集合
     */
    List<DiaReportSubmissions> selectDiaReportSubmissionsList(DiaReportSubmissions diaReportSubmissions);






}
