package com.srs.flowable.mapper;

import com.srs.flowable.domain.StuDisciplinaryRelieve;

import java.util.Map;

/**
 *解除处分
 */
public interface RelieveMapper {

    Map<String,Long> getCounselorInfo(Long stuUserId);

    /**
     * 查询学生解除处分申请
     *
     * @param relieveId 学生解除处分申请主键
     * @return 学生解除处分申请
     */
    public StuDisciplinaryRelieve selectRtStuDisciplinaryRelieveByRelieveId(Long relieveId);

    /**
     * 修改学生解除处分申请
     *
     * @param rtStuDisciplinaryRelieve 学生解除处分申请
     * @return 结果
     */
    int updateRtStuDisciplinaryRelieve(StuDisciplinaryRelieve rtStuDisciplinaryRelieve);
}
