package com.srs.routine.domain.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;

@Data
@ApiModel("请假审批数据对象")
public class LeaveApplicationApprovalDto implements java.io.Serializable{

    private static final long serialVersionUID = 1L;

    @ApiModelProperty("假条id")
    private Long leaveApplicationId;

    @ApiModelProperty("签名")
    private String signature;

    @ApiModelProperty("签名日期")
    private Date signatureDate;

    @ApiModelProperty("留言")
    private String comments;
}
