package com.srs.routine.domain.vo;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.io.Serializable;
import java.util.HashMap;
import java.util.List;
import java.util.Map;

@Data
@NoArgsConstructor
@AllArgsConstructor
@Builder
public class RtFuResIdVo implements Serializable {
    private static final long serialVersionUID=1L;

    private RtFuAuditVo audit;
    private List<RtFuResourceVo> rtFuResourceList;
    private List<Map<String,String>> soTime;
    /**
     *
     */
    @ApiModelProperty("")
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    @ApiModelProperty("开放状态")
    private String status;

    @ApiModelProperty("功能房可承载人数")
    private String roomCapacity;

    @ApiModelProperty("功能房预约编码")
    private String reNo;

    @ApiModelProperty("功能房编码")
    private String roNo;


    @ApiModelProperty("功能房名")
    private String roomName;

    @ApiModelProperty("申请人")
    private String rtCreatRole;

    @ApiModelProperty("借用部门、学院")
    private String rtDepar;

    @ApiModelProperty("主题")
    private String rtTheme;


    @ApiModelProperty("参与人员类型")
    private String rtRole;


    @ApiModelProperty("参与人数")
    private String rtPeople;


    @ApiModelProperty("预约用途")
    private String rtPurpose;


    @ApiModelProperty("预约时间")
    private String rtTime;


    @ApiModelProperty("预约时间段")
    private String rtYuyue;

    @ApiModelProperty("开始的时间段")
    private String roStartTime;

    @ApiModelProperty("结束的时间段")
    private String roEndTime;

    @ApiModelProperty("使用状态0未使用")
    private Integer rtState;

    @ApiModelProperty("使用事项")
    private String roomMatter;


}
