package com.srs.routine.domain.vo;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.srs.common.annotation.Excel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.io.Serializable;
import java.util.Date;
import java.util.HashMap;
import java.util.List;

@Data
@NoArgsConstructor
@AllArgsConstructor
@Builder
public class RtFuReservationVo implements Serializable {
    private static final long serialVersionUID=1L;

    private RtFuAuditVo audit;
    private RtFuResourceVo rtFuResourceList;
    /**
     *
     */
    @ApiModelProperty("")
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    @ApiModelProperty("功能房预约编码")
    private String reNo;

    @ApiModelProperty("功能房编码")
    private String roNo;


    @ApiModelProperty("功能房名")
    private String roomName;


    @ApiModelProperty("主题")
    private String rtTheme;


    @ApiModelProperty("参与人员类型")
    private String rtRole;


    @ApiModelProperty("参与人数")
    private String rtPeople;


    @ApiModelProperty("预约用途")
    private String rtPurpose;


    @ApiModelProperty("预约时间")
    private String rtTime;


    @ApiModelProperty("预约时间段")
    private String rtYuyue;

    @ApiModelProperty("开始的时间段")
    private String roStartTime;

    @ApiModelProperty("结束的时间段")
    private String roEndTime;


    @ApiModelProperty("使用状态0未使用")
    private Integer rtState;


    @ApiModelProperty("申请人")
    private String rtCreatRole;

    @ApiModelProperty("借用部门、学院")
    private String rtDepar;

    @ApiModelProperty("审核状态")
    private String auStatus;

    @ApiModelProperty("文件名称")
    private String resName;

    @ApiModelProperty("路径")
    private String resPath;
}
