package com.srs.routine.domain.vo;

import com.baomidou.mybatisplus.annotation.TableField;
import com.srs.common.annotation.Excel;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

@Data
@ApiModel("考勤数据对象")
public class StuLeaveApplicationVo implements java.io.Serializable{

    @ApiModelProperty("假条id")
    private Long leaveApplicationId;

    /**
     * 学号
     */
    @ApiModelProperty("学号")
    private String stuNo;

    /**
     * 姓名
     */
    @ApiModelProperty("姓名")
    private String name;

    @ApiModelProperty("父亲姓名")
    private String fatherName;

    @ApiModelProperty("父亲联系电话")
    private String fatherRelation;

    /**
     * 班级
     */
    @ApiModelProperty("班级")
    private String className;

    /**
     * 请假原因
     */
    @ApiModelProperty("请假原因")
    private String reason;

    /**
     * 请假类型
     */
    @ApiModelProperty("请假类型")
    private String leaveType;

    /**
     * 开始时间
     */
    @ApiModelProperty("开始时间")
    private String startDate;

    /**
     * 结束时间
     */
    @ApiModelProperty("结束时间")
    private String endDate;

    /**
     * 请假天数
     */
    @ApiModelProperty("请假天数")
    private String leaveDays;

    /**
     * 状态
     */
    @ApiModelProperty("状态")
    private String status;

    /**
     * 创建时间
     */
    @ApiModelProperty("申请时间")
    private String createTime;

    @ApiModelProperty("销假状态")
    private String cancellation;

    @ApiModelProperty("流程实例ID")
    private String processInstanceId;

    @ApiModelProperty("流程部署编号")
    private String deployId;

    @ApiModelProperty("假条状态（0、保存；1、提交）")
    private String leaveStatus;
}
